Subject: RE: Cyrillics support in Cygwin???
From: "Andrej Borsenkow" <[email-masked]>
To: "Cygwin Mailing List" <[email-masked]>, "egor duda" <[email-masked]>
Cc: "Alexei Lioubimov" <[email-masked]>
Date: Fri, 15 Jun 2001 14:26:44 +0400

>
> ls do work. try 'ls -lN'. not very straightforward, but it do work.
> the same for vim, ':se isp=@,128-254', for example.
>
> full locale support is a worthy goal, but, as long as it more newlib's
> issue than cygwin's, don't expect it will appear tomorrow.
>
> newlib's used not only by cygwin, but by lots of other platforms too,
> including various embedded targets, so such changes as locale support
> should be made with a very big care.
>

Well, you asked for an example :-) Some tools have means to work around
unsuported locale; some not (how would you make grep [[:lower:]] work for
cyrillic?)

I remember somebody said there was almost ready implementation of locale for
cygwin; it was almost an year ago. Just curious, what is the current status.

-andrej

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple